odoo.define("festa_dashboard.contract_overview", function (require) {
    "use strict";

    const qweb = require("web.qweb");
    const viewRegistry = require("web.view_registry");

    const Controller = qweb.Controller.extend({
        events: _.extend({}, qweb.Controller.prototype.events, {
            "click #update_cashpad_values": "_onClickUpdateCashpad",
            "click #update_view": "_onClickUpdateView",
        }),

        async _onClickUpdateCashpad() {
            self = this;
            await this._rpc({
                model: "hall.contract",
                method: "update_cashpad_values",
            }).then(function () {
                self.reload();
            });
        },
        _onClickUpdateView() {
            this.reload();
        },
    });

    const ContractOverview = qweb.View.extend({
        withSearchBar: true,
        searchMenuTypes: ["filter", "favorite"],
        config: _.extend({}, qweb.View.prototype.config, {
            Controller: Controller,
        }),
    });

    viewRegistry.add("contract_overview", ContractOverview);
});
